Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.one2team.highcharts.server
Class JSMAxis.JSMLabels

    java.lang.Object
      org.one2team.highcharts.server.JSMBaseObject
          org.one2team.highcharts.server.JSMAxis.JSMLabels

All Implemented Interfaces:
  org.mozilla.javascript.Scriptable, Axis.Labels

Enclosing class:
  JSMAxis

    public static class JSMAxis.JSMLabels

extends JSMBaseObject
implements Axis.Labels

Field Summary
`java.lang.String` | `align`
`java.lang.Double` | `rotation`

Fields inherited from class org.one2team.highcharts.server.JSMBaseObject
`innerHTML, userObject`

Fields inherited from interface org.mozilla.javascript.Scriptable
`NOT_FOUND`

Constructor Summary
`JSMAxis.JSMLabels()`

Method Summary
`java.lang.String` | `getAlign()`
`java.lang.Double` | `getRotation()`
`Axis.Labels` | `setAlign(java.lang.String align)`
`Axis.Labels` | `setRotation(double rotation)`

Methods inherited from class org.one2team.highcharts.server.JSMBaseObject
`delete, delete, get, get, getClassName, getDefaultValue, getIds, getInnerHTML, getParentScope, getPrototype, getUserObject, has, has, hasInstance, put, put, setInnerHTML, setParentScope, setPrototype, setUserObject`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### rotation

    public java.lang.Double rotation

### align

    public java.lang.String align

Constructor Detail

### JSMAxis.JSMLabels

    public JSMAxis.JSMLabels()

Method Detail

### setAlign

    public Axis.Labels setAlign(java.lang.String align)

  Specified by:
    `setAlign` in interface `Axis.Labels`

### setRotation

    public Axis.Labels setRotation(double rotation)

  Specified by:
    `setRotation` in interface `Axis.Labels`

### getRotation

    public java.lang.Double getRotation()

### getAlign

    public java.lang.String getAlign()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD